Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface ValueElementsParent

All Superinterfaces:
  XDSElement

All Known Implementing Classes:
  XDSAddAttrElement, XDSAddValueElement, XDSAttrElement, XDSRemoveValueElement, XDSSearchAttrElement

public interface ValueElementsParent
extends XDSElement

Any XDS element that contains zero or more child `<value>` elements.

This class represents the occurrence indicators `value` (zero or more) and `value+` (one or more) as well as a sequence that contains multiple value elements `(value, value)`. Currently, all implementing subclasses implement the + occurrence indicator.

Method Summary
`XDSValueElement` | `appendValueElement()` Appends an empty, child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(String someText)` Appends a child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(ValueType someType, String someText)` Appends a child `<value>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`List` | `extractValueElements()` Returns this element's child `<value>` elements.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### childElements

    public List childElements()

  Returns this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Returns:
    a list of one or more `XDSValueElement` and zero or more `NonXDSElement` objects; will not return `null`

### extractValueElements

    public List extractValueElements()

  Returns this element's child `<value>` elements.

  Invocation Context:
    READ

  Returns:
    a list of one or more `XDSValueElement` objects; will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement()

  Appends an empty, child `<value>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(String someText)

  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(ValueType someType,
                                              String someText)

  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`. The `<value>` element's `type` attribute is set to `someType`.

  Invocation Context:
    WRITE

  Parameters:
    `someType` - if `null`, a `type` attribute is omitted
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD